type Ctx = {
    getRootNode?: () => Document | ShadowRoot | Node;
};
export declare function createScope<T>(methods: T): {
    getRootNode: (ctx: Ctx) => Document | ShadowRoot;
    getDoc: (ctx: Ctx) => Document;
    getWin: (ctx: Ctx) => Window & typeof globalThis;
    getActiveElement: (ctx: Ctx) => HTMLElement | null;
    getById: <T_1 extends HTMLElement = HTMLElement>(ctx: Ctx, id: string) => T_1 | null;
    queryById: <T_2 extends HTMLElement = HTMLElement>(ctx: Ctx, id: string) => T_2;
} & T;
export {};
